org.eclnt.jsfserver.streamstore

## Class StreamStore

- java.lang.Object
- - org.eclnt.jsfserver.streamstore.StreamStore

-     public class StreamStore
      extends java.lang.Object

  Factory for accessing stream store objects.
  Internally the stream store management is connected to the tenant management using interface `ITenantAccess`. Per tenant one `IStreamStore` instance is kept.
  Up to 20190923 the stream store only managed UTF8-String data. With 20190923 binary data was introduced as well. Implementations that "only" support `IStreamStore` are automatically wrapped using a wrapper object of `StreamStoreWithBinaryWrapper`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamStore()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IStreamStore` | `getCrossTenantInstance()` In most cases information within the stream store is kept separated by the current tenant.
    `static IStreamStoreWithBinary` | `getCrossTenantInstanceWithBinary()` In most cases information within the stream store is kept separated by the current tenant.
    `static IStreamStore` | `getInstance()` This is the default access to the implementation of `IStreamStore`.
    `static IStreamStoreWithBinary` | `getInstanceWithBinary()` This is the default access to the implementation of `IStreamStoreWithBinary`.
    `static void` | `intialize(ServletContext servletContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamStore

          public StreamStore()

  - ### Method Detail

    - #### intialize

          public static void intialize(ServletContext servletContext)

    - #### getInstance

          public static IStreamStore getInstance()

      This is the default access to the implementation of `IStreamStore`. The default stream store provides access ot UTF8 based strings.

    - #### getCrossTenantInstance

          public static IStreamStore getCrossTenantInstance()

      In most cases information within the stream store is kept separated by the current tenant. In some cases information needs to be stored cross-tenant. (e.g. style information needs to be available before tenant selection)

    - #### getInstanceWithBinary

          public static IStreamStoreWithBinary getInstanceWithBinary()

      This is the default access to the implementation of `IStreamStoreWithBinary`.

    - #### getCrossTenantInstanceWithBinary

          public static IStreamStoreWithBinary getCrossTenantInstanceWithBinary()

      In most cases information within the stream store is kept separated by the current tenant. In some cases information needs to be stored cross-tenant. (e.g. style information needs to be available before tenant selection)

Copyright © CaptainCasa Gmbh. All Rights Reserved.